Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve the latest state of a checkout
id
curl https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6
const response = await fetch('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6'); const checkout = await response.json();
import requests response = requests.get('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6') checkout = response.json()
$response = file_get_contents('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6'); $checkout = json_decode($response, true);
resp, _ := http.Get("https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6") defer resp.Body.Close() var checkout map[string]interface{} json.NewDecoder(resp.Body).Decode(&checkout)
require 'net/http' require 'json' uri = URI('https://api.zenobank.io/api/v1/public/checkouts/ch_l0k1o87yt6') response = Net::HTTP.get_response(uri) checkout = JSON.parse(response.body)
{ "id": "ch_l0k1o87yt6", "orderId": "order-12345", "priceCurrency": "USD", "priceAmount": "0.01", "status": "OPEN", "expiresAt": "2025-10-04T10:30:00Z", "checkoutUrl": "https://pay.zenobank.io/ch_l0k1o87yt6", "createdAt": "2025-10-04T10:00:00Z", "successRedirectUrl": "https://example.com/success" }
Was this page helpful?